package com.psdc.mapper;

import com.psdc.entity.PsdcControlLog;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface PsdcControlLogMapper{
    /** 
     * 通过ID查询单条数据 
     *
     * @param controlLogId 主键
     * @return 实例对象
     */
    PsdcControlLog queryById(Integer controlLogId);
    /** 
     * 分页查询指定行数据
     *
     * @param psdcControlLog 查询条件
     * @param pageable 分页对象
     * @return 对象列表
     */
    List<PsdcControlLog> queryAllByLimit(PsdcControlLog psdcControlLog, @Param("pageable") Pageable pageable);
    /** 
     * 统计总行数
     *
     * @param psdcControlLog 查询条件
     * @return 总行数
     */
    long count(PsdcControlLog psdcControlLog);
    /** 
     * 新增数据
     *
     * @param psdcControlLog 实例对象
     * @return 影响行数
     */
    int insert(PsdcControlLog psdcControlLog);
    /** 
     * 更新数据
     *
     * @param psdcControlLog 实例对象
     * @return 影响行数
     */
    int update(PsdcControlLog psdcControlLog);
    /** 
     * 通过主键删除数据
     *
     * @param controlLogId 主键
     * @return 影响行数
     */
    int deleteById(Integer controlLogId);
}